%global debug_package %{nil}

Name: python-yaml
Epoch: 100
Version: 5.4.1
Release: 1%{?dist}
Summary: YAML parser and emitter for Python
License: MIT
URL: https://github.com/yaml/pyyaml/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: libyaml-devel
BuildRequires: python-rpm-macros
BuildRequires: python3-cython
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitearch} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitearch}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-PyYAML
Summary: YAML parser and emitter for Python
Requires: libyaml-0-2
Requires: python3
Provides: python3-PyYAML = %{epoch}:%{version}-%{release}
Provides: python3-pyyaml = %{epoch}:%{version}-%{release}
Provides: python3dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyyaml) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-PyYAML
PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%files -n python%{python3_version_nodots}-PyYAML
%license LICENSE
%{python3_sitearch}/PyYAML*
%{python3_sitearch}/_yaml
%{python3_sitearch}/yaml
%endif

%if 0%{?sle_version} > 150000
%package -n python3-PyYAML
Summary: YAML parser and emitter for Python
Requires: libyaml-0-2
Requires: python3
Provides: python3-PyYAML = %{epoch}:%{version}-%{release}
Provides: python3-pyyaml = %{epoch}:%{version}-%{release}
Provides: python3dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyyaml) = %{epoch}:%{version}-%{release}

%description -n python3-PyYAML
PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%files -n python3-PyYAML
%license LICENSE
%{python3_sitearch}/PyYAML*
%{python3_sitearch}/_yaml
%{python3_sitearch}/yaml
%endif

%if 0%{?centos_version} == 700
%package -n python%{python3_version_nodots}-PyYAML
Summary: YAML parser and emitter for Python
Requires: libyaml
Requires: python3
Provides: python3-PyYAML = %{epoch}:%{version}-%{release}
Provides: python3-pyyaml = %{epoch}:%{version}-%{release}
Provides: python3dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyyaml) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-PyYAML
PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%files -n python%{python3_version_nodots}-PyYAML
%license LICENSE
%{python3_sitearch}/PyYAML*
%{python3_sitearch}/_yaml
%{python3_sitearch}/yaml
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000) && !(0%{?centos_version} == 700)
%package -n python3-pyyaml
Summary: YAML parser and emitter for Python
Requires: libyaml
Requires: python3
Provides: python3-PyYAML = %{epoch}:%{version}-%{release}
Provides: python3-pyyaml = %{epoch}:%{version}-%{release}
Provides: python3dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyyaml) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyyaml = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyyaml) = %{epoch}:%{version}-%{release}

%description -n python3-pyyaml
PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%files -n python3-pyyaml
%license LICENSE
%{python3_sitearch}/PyYAML*
%{python3_sitearch}/_yaml
%{python3_sitearch}/yaml
%endif

%changelog
